Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: sssd

Interfaces

### Description:

System Security Services Daemon.

### Interfaces:

sssd_admin( domain , role )

##### Summary

All of the rules required to administrate an sssd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

sssd_dbus_chat( domain )

##### Summary

Send and receive messages from sssd over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_domtrans( domain )

##### Summary

Execute a domain transition to run sssd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sssd_dontaudit_search_lib( domain )

##### Summary

Do not audit attempts to search sssd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sssd_getattr_exec( domain )

##### Summary

Get attributes of sssd executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_initrc_domtrans( domain )

##### Summary

Execute sssd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sssd_manage_config( domain )

##### Summary

Create, read, write, and delete sssd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete sssd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_manage_pids( domain )

##### Summary

Create, read, write, and delete sssd pid content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_manage_public_files( domain )

##### Summary

Create, read, write, and delete sssd public files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_config( domain )

##### Summary

Read sssd configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_lib_files( domain )

##### Summary

Read sssd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_pid_files( domain )

##### Summary

Read sssd pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_public_files( domain )

##### Summary

Read sssd public files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_search_lib( domain )

##### Summary

Search sssd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_stream_connect( domain )

##### Summary

Connect to sssd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_write_config( domain )

##### Summary

Write sssd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return